Xerces2 Implementation: Class SchemaGrammar.Schema4Annotations

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class SchemaGrammar.Schema4Annotations

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.SchemaGrammar
            |
            +--org.apache.xerces.impl.xs.SchemaGrammar.Schema4Annotations

All Implemented Interfaces:
  org.apache.xerces.xni.grammars.Grammar, org.apache.xerces.xni.grammars.XSGrammar, org.apache.xerces.xs.XSNamespaceItem

Enclosing class:
  SchemaGrammar

public static final class SchemaGrammar.Schema4Annotations
extends SchemaGrammar

A partial schema for schemas for validating annotations.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Michael Glavassevich, IBM

Inner classes inherited from class org.apache.xerces.impl.xs.SchemaGrammar
`SchemaGrammar.BuiltinSchemaGrammar, SchemaGrammar.Schema4Annotations`

Fields inherited from class org.apache.xerces.impl.xs.SchemaGrammar
`fAnySimpleType, fAnyType, SG_Schema4Annotations, SG_SchemaNS, SG_XSI`

Constructor Summary
`SchemaGrammar.Schema4Annotations()` Special constructor to create a schema capable of validating annotations.

Method Summary
`void` | `addComplexTypeDecl(XSComplexTypeDecl decl, SimpleLocator locator)` add one complex type decl: for later constraint checking
`void` | `addDocument(java.lang.Object document, java.lang.String location)`
`void` | `addGlobalAttributeDecl(XSAttributeDecl decl)` register one global attribute
`void` | `addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)` register one global attribute group
`void` | `addGlobalElementDecl(XSElementDecl decl)` register one global element
`void` | `addGlobalGroupDecl(XSGroupDecl decl)` register one global group
`void` | `addGlobalNotationDecl(XSNotationDecl decl)` register one global notation
`void` | `addGlobalTypeDecl(org.apache.xerces.xs.XSTypeDefinition decl)` register one global type
`void` | `addRedefinedGroupDecl(XSGroupDecl derived, XSGroupDecl base, SimpleLocator locator)` add a group redefined by restriction: for later constraint checking
`org.apache.xerces.xni.grammars.XMLGrammarDescription` | `getGrammarDescription()` get the `XMLGrammarDescription` associated with this object
`void` | `setImportedGrammars(java.util.Vector importedGrammars)`

Methods inherited from class org.apache.xerces.impl.xs.SchemaGrammar
`addAnnotation, addIDConstraintDecl, getAnnotations, getAttributeDeclaration, getAttributeGroup, getComponents, getDocumentLocations, getElementDeclaration, getGlobalAttributeDecl, getGlobalAttributeGroupDecl, getGlobalElementDecl, getGlobalGroupDecl, getGlobalNotationDecl, getGlobalTypeDecl, getIDConstraintDecl, getImportedGrammars, getModelGroupDefinition, getNotationDeclaration, getSchemaNamespace, getTargetNamespace, getTypeDefinition, hasIDConstraints, isNamespaceAware, toXSModel, toXSModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGrammar.Schema4Annotations

    public SchemaGrammar.Schema4Annotations()

  Special constructor to create a schema capable of validating annotations.

Method Detail

### getGrammarDescription

    public org.apache.xerces.xni.grammars.XMLGrammarDescription getGrammarDescription()

  Description copied from interface: `org.apache.xerces.xni.grammars.Grammar`
  get the `XMLGrammarDescription` associated with this object
  Overrides:
    `getGrammarDescription` in class `SchemaGrammar`

### setImportedGrammars

    public void setImportedGrammars(java.util.Vector importedGrammars)

  Overrides:
    `setImportedGrammars` in class `SchemaGrammar`

### addGlobalAttributeDecl

    public void addGlobalAttributeDecl(XSAttributeDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global attribute
  Overrides:
    `addGlobalAttributeDecl` in class `SchemaGrammar`

### addGlobalAttributeGroupDecl

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global attribute group
  Overrides:
    `addGlobalAttributeGroupDecl` in class `SchemaGrammar`

### addGlobalElementDecl

    public void addGlobalElementDecl(XSElementDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global element
  Overrides:
    `addGlobalElementDecl` in class `SchemaGrammar`

### addGlobalGroupDecl

    public void addGlobalGroupDecl(XSGroupDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global group
  Overrides:
    `addGlobalGroupDecl` in class `SchemaGrammar`

### addGlobalNotationDecl

    public void addGlobalNotationDecl(XSNotationDecl decl)

  Description copied from class: `SchemaGrammar`
  register one global notation
  Overrides:
    `addGlobalNotationDecl` in class `SchemaGrammar`

### addGlobalTypeDecl

    public void addGlobalTypeDecl(org.apache.xerces.xs.XSTypeDefinition decl)

  Description copied from class: `SchemaGrammar`
  register one global type
  Overrides:
    `addGlobalTypeDecl` in class `SchemaGrammar`

### addComplexTypeDecl

    public void addComplexTypeDecl(XSComplexTypeDecl decl,
                                   SimpleLocator locator)

  Description copied from class: `SchemaGrammar`
  add one complex type decl: for later constraint checking
  Overrides:
    `addComplexTypeDecl` in class `SchemaGrammar`

### addRedefinedGroupDecl

    public void addRedefinedGroupDecl(XSGroupDecl derived,
                                      XSGroupDecl base,
                                      SimpleLocator locator)

  Description copied from class: `SchemaGrammar`
  add a group redefined by restriction: for later constraint checking
  Overrides:
    `addRedefinedGroupDecl` in class `SchemaGrammar`

### addDocument

    public void addDocument(java.lang.Object document,
                            java.lang.String location)

  Overrides:
    `addDocument` in class `SchemaGrammar`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.